Rcode (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class Rcode

- java.lang.Object
- - org.xbill.DNS.Rcode

-     public final class Rcode
      extends Object

  Constants and functions relating to DNS rcodes (error values)
  Author:
    Brian Wellington

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BADKEY` The key is invalid (TSIG/TKEY extended error)
    `static int` | `BADMODE` The mode is invalid (TKEY extended error)
    `static int` | `BADSIG` The signature is invalid (TSIG/TKEY extended error)
    `static int` | `BADTIME` The time is out of range (TSIG/TKEY extended error)
    `static int` | `BADVERS` Unsupported EDNS level
    `static int` | `FORMERR` Format error
    `static int` | `NOERROR` No error
    `static int` | `NOTAUTH` The requestor is not authorized to perform this operation
    `static int` | `NOTIMP` The operation requested is not implemented
    `static int` | `NOTIMPL` Deprecated synonym for NOTIMP.
    `static int` | `NOTZONE` The zone specified is not a zone
    `static int` | `NXDOMAIN` The name does not exist
    `static int` | `NXRRSET` The RRset (name, type) does not exist
    `static int` | `REFUSED` The operation was refused by the server
    `static int` | `SERVFAIL` Server failure
    `static int` | `YXDOMAIN` The name exists
    `static int` | `YXRRSET` The RRset (name, type) exists

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `string(int i)` Converts a numeric Rcode into a String
    `static String` | `TSIGstring(int i)` Converts a numeric TSIG extended Rcode into a String
    `static int` | `value(String s)` Converts a String representation of an Rcode into its numeric value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOERROR

          public static final int NOERROR

      No error
      See Also:
        Constant Field Values

    - #### FORMERR

          public static final int FORMERR

      Format error
      See Also:
        Constant Field Values

    - #### SERVFAIL

          public static final int SERVFAIL

      Server failure
      See Also:
        Constant Field Values

    - #### NXDOMAIN

          public static final int NXDOMAIN

      The name does not exist
      See Also:
        Constant Field Values

    - #### NOTIMP

          public static final int NOTIMP

      The operation requested is not implemented
      See Also:
        Constant Field Values

    - #### NOTIMPL

          public static final int NOTIMPL

      Deprecated synonym for NOTIMP.
      See Also:
        Constant Field Values

    - #### REFUSED

          public static final int REFUSED

      The operation was refused by the server
      See Also:
        Constant Field Values

    - #### YXDOMAIN

          public static final int YXDOMAIN

      The name exists
      See Also:
        Constant Field Values

    - #### YXRRSET

          public static final int YXRRSET

      The RRset (name, type) exists
      See Also:
        Constant Field Values

    - #### NXRRSET

          public static final int NXRRSET

      The RRset (name, type) does not exist
      See Also:
        Constant Field Values

    - #### NOTAUTH

          public static final int NOTAUTH

      The requestor is not authorized to perform this operation
      See Also:
        Constant Field Values

    - #### NOTZONE

          public static final int NOTZONE

      The zone specified is not a zone
      See Also:
        Constant Field Values

    - #### BADVERS

          public static final int BADVERS

      Unsupported EDNS level
      See Also:
        Constant Field Values

    - #### BADSIG

          public static final int BADSIG

      The signature is invalid (TSIG/TKEY extended error)
      See Also:
        Constant Field Values

    - #### BADKEY

          public static final int BADKEY

      The key is invalid (TSIG/TKEY extended error)
      See Also:
        Constant Field Values

    - #### BADTIME

          public static final int BADTIME

      The time is out of range (TSIG/TKEY extended error)
      See Also:
        Constant Field Values

    - #### BADMODE

          public static final int BADMODE

      The mode is invalid (TKEY extended error)
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int i)

      Converts a numeric Rcode into a String

    - #### TSIGstring

          public static String TSIGstring(int i)

      Converts a numeric TSIG extended Rcode into a String

    - #### value

          public static int value(String s)

      Converts a String representation of an Rcode into its numeric value